package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayWorkOrderTuzhi;
import com.ruoyi.pay.domain.vo.PayWorkOrderTuzhiVo;
import com.ruoyi.pay.domain.bo.PayWorkOrderTuzhiBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 图纸流程卡工单Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayWorkOrderTuzhiService {

    /**
     * 查询图纸流程卡工单
     */
    PayWorkOrderTuzhiVo queryById(Long id);

    /**
     * 查询图纸流程卡工单列表
     */
    TableDataInfo<PayWorkOrderTuzhiVo> queryPageList(PayWorkOrderTuzhiBo bo, PageQuery pageQuery);

    /**
     * 查询图纸流程卡工单列表
     */
    List<PayWorkOrderTuzhiVo> queryList(PayWorkOrderTuzhiBo bo);

    /**
     * 新增图纸流程卡工单
     */
    Boolean insertByBo(PayWorkOrderTuzhiBo bo);

    /**
     * 修改图纸流程卡工单
     */
    Boolean updateByBo(PayWorkOrderTuzhiBo bo);

    /**
     * 校验并批量删除图纸流程卡工单信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
